#ifndef __OUTPUT_H
#define __OUTPUT_H

// describes the interface to the file output mechanism

#include "config.h"
#include "colour.h"
#include <stdio.h>


FILE* Output_init(char* fname, int w, int h);
// inits the output stream, of the specified size, and returns a pointer
// to the file. the correct suffix is appended to fname

void Output_write_scanline(FILE*,Colour* scanline);
// outputs the scanline to the file. must be an
// array of size w

void Output_done(FILE*);
// end the data stream, and closes the file

#endif

