#include "scene.h"
#include "spheres.h"

Camera cam;

#define TIME 1
void user_create_scene(Kernel_Info& ki)
{
cam.fname="scenes/complogo";
cam.width=100; cam.height=100;
cam.C=
  Create_TVector(-60,0,0);
cam.look_at=Create_TVector(40,0,0);
cam.up=Create_TVector(0,10,0);
cam.f=new FN_constant(10);
cam.xs=new FN_constant(5); cam.ys=new FN_constant(5);
cam.end_time=TIME; cam.framesec=10;
cam.backdrop=Colour(1,1,1);
ki.ambient=Colour(0.5,0.7,0.5);

K_init_camera(&cam);

Surface_Info si;

si.kdr=0.8, si.ksr=1; si.n=5;
si.dcolour=Colour(0.1,0.9,0.1);
si.rcolour=Colour(1,1,1);
K_add_object( Create_Static_Sphere(Vector(40,0,0),20,si));

K_add_light(new Light(
  Create_TVector_linear_through(Vector(-400,300,-500),Vector(-400,300,500),0,TIME),
  Colour(0.8,0.8,0.8) )

);

}

