#ifndef __SPHERES_H
#define __SPHERES_H

// functions for creating various types of spheres 


#include "object.h"
#include "vector.h"

class StaticSphere: public Object{
public:
	StaticSphere(Surface_Info& si,Vector P,Float r,Float,Float);
	virtual bool intersect(Ray&,Float&);

	virtual void aux_info(Ray&,Intersect_Info&,Shade_Info&);
	virtual void compute_extent(L_proj_fn&,Float &min,Float& max,Float T0,Float T1);
	virtual bool inside(AA_Box&);
	Vector p;
	Float r,r2;
};



	Object* Create_Static_Sphere(
		Vector,Float, // creates a sphere of the specified raduis and position
		Float t0, Float t1,
		Surface_Info=Surface_Info_default);

#endif

