#include "colour.h"

Colour& Colour::operator +=(Colour& c)
{
	r+=c.r;
	g+=c.g;
	b+=c.b;
	return *this;
}

Colour& Colour::operator *=(Colour& c)
{
	r*=c.r;
	g*=c.g;
	b*=c.b;
	return *this;
}

Colour& Colour::operator *=(Float f)
{
	r*=f;
	g*=f;
	b*=f;
	return *this;
}


Colour operator+(Colour& a,Colour& b)
{
	return Colour(a.r+b.r, a.g+b.g, a.b+b.b);
}

Colour operator-(Colour& a,Colour& b)
{
	return Colour(a.r-b.r, a.g-b.g, a.b-b.b);
}

Colour operator*(Colour& c,Float f)
{
	return Colour(c.r*f,c.g*f,c.b*f);
}


