#ifndef __PHASE_1_H
#define __PHASE_1_H

#include "scene.h"
#include "spheres.h"
#include "polygon.h"
#include "ttransform.h"

class FN_C: public Function{
private:
	typedef Float (*C_Func)(Float);
	C_Func fn;
public:
	FN_C(C_Func f,Float T0,Float T1):
		Function(T0,T1), fn(f){}
	virtual Float eval(Float);
	virtual void bounds(Float&, Float&);
	virtual char* C_string_rep(Source_Generator*);
};

#endif

