#include <iostream.h>
#include "scene.h"
#include "spheres.h"
#include "polygon.h"
#include "nff.h"

#define TIME 1
Camera cam;
void user_create_scene(Kernel_Info& ki)
{

cam.fname="scenes/test";
cam.width=200; cam.height=200;
cam.C=
  Create_TVector(4,2,0.5);

cam.look_at=Create_TVector(0,2,0.5);
cam.up=Create_TVector(0,0,1);
cam.f=new FN_constant(1);
cam.xs=new FN_constant(1.1); cam.ys=new FN_constant(1.1);
cam.end_time=TIME; cam.framesec=1;
ki.ambient=Colour(0.3,0.3,0.3);
cam.backdrop=Colour(0.078,0.361,0.753);

K_init_camera(&cam);

Object** objs;
int nobjs;
objs=NFF_read_file("scenes/mpce.nff",nobjs);
if(!objs) cout<<"#A"<<endl;
int i;
for(i=0;i<nobjs;i++){
	K_add_object(objs[i]);
}

K_add_light(new Light(
  Create_TVector(4,4,4),
  Colour(1,1,1) ) );
}


